Show / Hide Table of Contents

# Enum ObjectKind

Enum describing possible entity kinds.

###### Namespace: Dalamud.Game.ClientState.Objects.Enums

###### Assembly: Dalamud.dll

##### Syntax

    public enum ObjectKind : byte

### Fields

Name | Description
--- | ---
Aetheryte | Objects representing aetherytes.
Area | Objects representing area objects.
BattleNpc | Objects representing battle NPCs.
CardStand | Objects representing card stand objects.
Companion | Objects representing minions.
Cutscene | Objects representing cutscene objects.
EventNpc | Objects representing event NPCs.
EventObj | Objects representing event objects.
GatheringPoint | Objects representing gathering points.
Housing | Objects representing housing objects.
MountType | Objects representing mounts.
None | Invalid character.
Player | Objects representing player characters.
Retainer | Objects representing retainers.
Treasure | Objects representing treasures.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()